#
# spec file for package gtkparasite
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Novell, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gtkparasite
Version:        0.1.0
Release:        lp150.2.3
License:        MIT
Summary:        GTK+ debugging tool similar to Firebug
Url:            http://chipx86.github.com/gtkparasite/
Group:          Development/Tools/Debuggers
Source0:        %{name}-%{version}.tar.bz2
# This is the COPYING taken from git. The one in the tarball is wrong.
Source1:        COPYING
# PATCH-FEATURE-OPENSUSE gtkparasite-link-python.patch dimstar@opensuse.org -- Better detection of which libpython to dlopen(). Otherwise we need to require python-devel.
Patch0:         gtkparasite-link-python.patch
BuildRequires:  gtk2-devel
BuildRequires:  libtool
BuildRequires:  python-gtk-devel
Requires:       python-gtk >= 2.10.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Parasite is a debugging and development tool that runs inside your
GTK+ application's process. It can inspect your application, giving
you detailed information on your UI, such as the hierarchy, X window IDs,
widget properties, and more. You can modify properties on the fly in
order to experiment with the look of your UI.

If you've used Firebug, it's sort of like that, but for GTK+ applications.

%prep
%setup -q
cp %{S:1} COPYING
%patch0 -p1

%build
# autoreconf is needed for patch0.
autoreconf -fiv
%configure --disable-static
%__make %{?_smp_flags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/gtk-2.0/modules/libgtkparasite.so

%changelog
* Sat Oct 15 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Tue Feb  1 2011 dimstar@opensuse.org
- Add gtkparasite-link-python.patch: specifically link the right
  libpython<VER>.so.x.y file. Otherwise we need to require
  python-devel, as the lib is dlopen()'ed.
* Thu Aug 12 2010 vuntz@opensuse.org
- Cleanup for inclusion in Factory.
- Grab COPYING from git, since the one in the tarball is the GPLv3
  one that got added by autotools.
* Thu Feb 12 2009 gburt@suse.de
- Initial build
